Skip to main content
GET
/
erc20
/
metadata
Get ERC20 token metadata by contract
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/erc20/metadata \
  --header 'X-API-Key: <api-key>'
[
  {
    "address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
    "name": "Kylin Network",
    "symbol": "KYL",
    "decimals": "18",
    "created_at": "<string>",
    "possible_spam": "false",
    "address_label": "Binance 1",
    "logo": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
    "logo_hash": "ee7aa2cdf100649a3521a082116258e862e6971261a39b5cd4e4354fcccbc54d",
    "thumbnail": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c_thumb.png",
    "total_supply": "420689899999994793099999999997400",
    "total_supply_formatted": "420689899999994.7930999999999974",
    "implementations": [
      {
        "chainId": "0x1",
        "address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
        "chain": "eth",
        "chainName": "Ethereum"
      }
    ],
    "fully_diluted_valuation": "3407271444.05",
    "block_number": "<string>",
    "validated": 123,
    "verified_contract": false,
    "categories": [
      "stablecoin"
    ],
    "links": {
      "bitbucket": "<string>",
      "discord": "<string>",
      "facebook": "<string>",
      "github": "<string>",
      "instagram": "<string>",
      "linkedin": "<string>",
      "medium": "<string>",
      "reddit": "<string>",
      "telegram": "<string>",
      "tiktok": "<string>",
      "twitter": "<string>",
      "website": "<string>",
      "youtube": "<string>"
    },
    "circulating_supply": "4206864.7489303",
    "market_cap": "3407271444.05"
  }
]

Authorizations

X-API-Key
string
header
default:test
required

Query Parameters

chain
enum<string>

The chain to query

Available options:
eth,
0x1,
polygon,
0x89,
bsc,
0x38,
avalanche,
0xa86a,
cronos,
0x19,
arbitrum,
0xa4b1,
chiliz,
0x15b38,
gnosis,
0x64,
base,
0x2105,
optimism,
0xa,
linea,
0xe708,
moonbeam,
0x504,
moonriver,
0x505,
flow,
0x2eb,
ronin,
0x7e4,
lisk,
0x46f,
pulse,
0x171,
sei,
0x531,
monad,
0x8f
addresses
string[]
required

The addresses to get metadata for

Maximum array length: 10

Response

200 - application/json

Get the metadata for a given ERC20 token contract address (name, symbol, decimals, logo).

address
string
required

The address of the token contract

Example:

"0x6982508145454ce325ddbe47a25d4ec3d2311933"

name
string
required

The name of the token contract

Example:

"Kylin Network"

symbol
string
required

The symbol of the NFT contract

Example:

"KYL"

decimals
string
required

The number of decimals on the token

Example:

"18"

created_at
string
required

The timestamp of when the erc20 token was created

possible_spam
boolean
required

Indicates if a contract is possibly a spam contract

Example:

"false"

address_label
string | null

The label of the address

Example:

"Binance 1"

logo
string | null

The logo of the token

Example:

"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png"

logo_hash
string | null

The logo hash

Example:

"ee7aa2cdf100649a3521a082116258e862e6971261a39b5cd4e4354fcccbc54d"

thumbnail
string | null

The thumbnail of the logo

Example:

"https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c_thumb.png"

total_supply
string

Total tokens created minus any that have been burned

Example:

"420689899999994793099999999997400"

total_supply_formatted
string

Total tokens created minus any that have been burned (decimal formatted)

Example:

"420689899999994.7930999999999974"

implementations
object[]
fully_diluted_valuation
string

Fully Diluted Valuation (FDV), this represents the token's Current Price x Total Supply

Example:

"3407271444.05"

block_number
string
validated
number
verified_contract
boolean

Indicates if a contract is verified

Example:

false

categories
string[] | null

Categories of the token

Example:
["stablecoin"]
circulating_supply
string

The circulating supply of the token

Example:

"4206864.7489303"

market_cap
string

The market cap of the token

Example:

"3407271444.05"